##### Coverage Report - org.seasar.cubby.spi.ProviderFactory

Classes in this File | Line Coverage | Branch Coverage | Complexity
ProviderFactory |
66% | 2/3
N/A | N/A
| 1.0;1

1 |  |
     /*
2 |  |
      * Copyright 2004-2009 the Seasar Foundation and the Others.
3 |  |
      *
4 |  |
      * Licensed under the Apache License, Version 2.0 (the "License");
5 |  |
      * you may not use this file except in compliance with the License.
6 |  |
      * You may obtain a copy of the License at
7 |  |
      *
8 |  |
      *     http://www.apache.org/licenses/LICENSE-2.0
9 |  |
      *
10 |  |
      * Unless required by applicable law or agreed to in writing, software
11 |  |
      * distributed under the License is distributed on an "AS IS" BASIS,
12 |  |
      * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
13 |  |
      * either express or implied. See the License for the specific language
14 |  |
      * governing permissions and limitations under the License.
15 |  |
      */
16 |  |
     package org.seasar.cubby.spi;
17 |  |
18 |  |
     import org.seasar.cubby.plugin.PluginRegistry;
19 |  |
20 |  |
     /**
21 |  |
      * サービスプロバイダのファクトリです。
22 |  |
      *
23 |  |
      * @author baba
24 |  |
      */
25 | 0 |
     public class ProviderFactory {
26 |  |
27 |  |
             /**
28 |  |
              * 指定されたサービスのプロバイダを取得します。
29 |  |
              *
30 |  |
              * @param <S>
31 |  |
              *            サービスの型
32 |  |
              * @param service
33 |  |
              *            サービス
34 |  |
              * @return プロバイダ
35 |  |
              */
36 |  |
             public static <S extends Provider> S get(final Class<S> service) {
37 | 165 |
                     final PluginRegistry pluginRegistry = PluginRegistry.getInstance();
38 | 165 |
                     return pluginRegistry.getProvider(service);
39 |  |
             }
40 |  |
41 |  |
     }